6
31
25
初来乍到
使用道具 举报
106
1万
101
顶梁支柱
21
1505
1551
初露锋芒
; Adds a fixed amount to a number;(PRINC "\nTO USE JUST TYPE A2L or A2LM for multiple ")(Alert "TO USE JUST TYPE A2L or A2LM for multiple ");(setvar "cmdecho" 1)(setq olddimzin (getvar "Dimzin"))(setvar "dimzin" 0)(DEFUN c:A2L ()(if (not AH:getval) (load "getval"))(ah:getval "Enter ht adjust.." " edit_width = 10;" " edit_limit = 8;")(setq v2 (Atof item))(setq test 1)(while (= test 1) (setq en1 (car (entsel "\nSelect text number:" ))) (if (/= en1 nil) (progn (setq el1 (entget en1)) (setq v1 (atof (cdr (assoc 1 el1)))) (setq a (+ v1 v2)) (setq b (rtos a 2 3)) (setq el (subst (cons 1 b) (assoc 1 el1) el1)) (entmod el); (entupd en1) );progn (princ "\nplease pick again"); else );if); while true(setq el nil)(setq en nil)(setq a nil)(setq v1 nil)(setvar "cmdecho" 1)(setvar "dimzin" olddimzin)(princ)); END a2l DEFUN(defun c:A2LM ()(if (not AH:getval) (load "getval"))(ah:getval "Enter ht adjust.." " edit_width = 10;" " edit_limit = 8;")(setq v2 (Atof item))(setq ss (ssget (list (cons 0 "Text"))))(setq len (sslength ss))(setq x 0)(repeat len(setq en1 (ssname ss x)) (setq el1 (entget en1)) (setq v1 (atof (cdr (assoc 1 el1)))) (setq a (+ v1 v2)) (setq b (rtos a 2 3)) (setq el (subst (cons 1 b) (assoc 1 el1) el1)) (entmod el)(setq x (+ x 1))); repeat(setq el nil ss nil)(setq en nil)(setq a nil)(setq v1 nil)(setvar "dimzin" olddimzin)(setvar "cmdecho" 1)(princ)); END a2lm DEFUN
;; Input Dialog box with variable title;; By Ah June 2012;; code (ah:getval title)(defun AH:getval (title width limit / fo)(setq fname "C://acadtemp//getval.dcl")(setq fo (open fname "w"))(write-line "ddgetval : dialog {" fo)(write-line " : row {" fo)(write-line ": edit_box {" fo)(write-line (strcat " key = " (chr 34) "key1" (chr 34) ";") fo)(write-line (strcat " label = " (chr 34) title (chr 34) ";" ) fo); these can be replaced with shorter value etc;(write-line " edit_width = 18;" fo) ;(write-line " edit_limit = 15;" fo)(write-line width fo) (write-line limit fo)(write-line " is_enabled = true;" fo) (write-line " }" fo)(write-line " }" fo)(write-line "ok_only;}" fo)(close fo)(setq dcl_id (load_dialog "c:\\getval"))(if (not (new_dialog "ddgetval" dcl_id))(exit))(action_tile "key1" "(setq item $value)(done_dialog)")(mode_tile "key1" 2)(start_dialog); returns the value of item)
本版积分规则 发表回复 回帖后跳转到最后一页
微信公众平台
扫描访问手机版
点击图片下载手机App
|关于我们|小黑屋|乐筑天下 繁体中文
GMT+8, 2025-3-12 13:17 , Processed in 0.505958 second(s), 62 queries .
© 2020-2025 乐筑天下
在线时间:10:00-17:00
暂无
扫一扫,关注我们
帮助中心
关于我们
下载APP客户端